Subject: Re: [PATCH net-next v3 4/5] net: altera: tse: convert to phylink

From: Jakub Kicinski <[email-masked]>
Date: Thu, 1 Sep 2022 21:10:21 -0700

On Thu,  1 Sep 2022 16:35:42 +0200 Maxime Chevallier wrote:
> This commit converts the Altera Triple Speed Ethernet Controller to
> phylink. This controller supports MII, GMII and RGMII with its MAC, and
> SGMII + 1000BaseX through a small embedded PCS.
> 
> The PCS itself has a register set very similar to what is found in a
> typical 802.3 ethernet PHY, but this register set memory-mapped instead
> of lying on an mdio bus.

allmodconfig builds report:

ERROR: modpost: missing MODULE_LICENSE() in drivers/net/pcs/pcs-altera-tse.o